Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		koffice-l10n
Version:	1.6.3
Release:	1
License:	GNU/GPL 
URL:		http://www.koffice.org
Group:		Office
Source5:	%{name}-ca-%{version}.tar.bz2
Source6:	%{name}-cs-%{version}.tar.bz2
Source7:	%{name}-cy-%{version}.tar.bz2
Source8:	%{name}-da-%{version}.tar.bz2
Source9:	%{name}-de-%{version}.tar.bz2
Source10:	%{name}-el-%{version}.tar.bz2
Source11:	%{name}-en_GB-%{version}.tar.bz2
Source13:	%{name}-es-%{version}.tar.bz2
Source14:	%{name}-et-%{version}.tar.bz2
Source15:	%{name}-eu-%{version}.tar.bz2
Source16:	%{name}-fi-%{version}.tar.bz2
Source17:	%{name}-fr-%{version}.tar.bz2
Source21:	%{name}-hu-%{version}.tar.bz2
Source23:	%{name}-it-%{version}.tar.bz2
Source24:	%{name}-ja-%{version}.tar.bz2
Source25:	%{name}-lv-%{version}.tar.bz2
Source27:	%{name}-ms-%{version}.tar.bz2
Source28:	%{name}-nb-%{version}.tar.bz2
Source29:	%{name}-nl-%{version}.tar.bz2
Source31:	%{name}-pl-%{version}.tar.bz2
Source32:	%{name}-pt-%{version}.tar.bz2
Source33:	%{name}-pt_BR-%{version}.tar.bz2
Source35:	%{name}-ru-%{version}.tar.bz2
Source37:	%{name}-sk-%{version}.tar.bz2
Source38:	%{name}-sl-%{version}.tar.bz2
Source39:	%{name}-sr-%{version}.tar.bz2
Source40:	%{name}-sr@Latn-%{version}.tar.bz2
Source41:	%{name}-sv-%{version}.tar.bz2
Source44:	%{name}-tr-%{version}.tar.bz2
Source45:	%{name}-uk-%{version}.tar.bz2
Source47:	%{name}-zh_CN-%{version}.tar.bz2
Source48:	%{name}-zh_TW-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	KOffice - Localization support.
BuildRequires:	koffice-devel

#################################################################################
%define		_docdir		%_datadir/doc
%define		_htmldir     	%_docdir/HTML
#################################################################################

%description
KOffice - Localization support.

%package	ca
Summary:	KOffice - Catalan language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	ca
KOffice - Catalan language support.

%package	cs
Summary:	KOffice - Czech language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	cs
KOffice - Czech language support.

%package	cy
Summary:	KOffice - Cymraeg language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	cy
KOffice - Cymraeg language support.

%package	da
Summary:	KOffice - Danish language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	da
KOffice - Danish language support.

%package	de
Summary:	KOffice - German language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	de
KOffice - German language support.

%package	el
Summary:	KOffice - Greek language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	el
KOffice - Greek language support.

%package	en_GB
Summary:	KOffice - English language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	en_GB
KOffice - English language support.

%package	es
Summary:	KOffice - Spanish language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	es
KOffice - Spanish language support.

%package	et
Summary:	KOffice - Estonian language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	et
KOffice - Estonian language support.

%package	eu
Summary:	KOffice - Basque language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	eu
KOffice - Basque language support.

%package	fi
Summary:	KOffice - Finnish language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	fi
KOffice - Finnish language support.

%package	fr
Summary:	KOffice - French language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	fr
KOffice - French language support.

%package	hu
Summary:	KOffice - Hungarian language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	hu
KOffice - Hungarian language support.

%package	it
Summary:	KOffice - Italian language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	it
KOffice - Italian language support.

%package	ja
Summary:	KOffice - Japanese language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	ja
KOffice - Japanese language support.

%package	lv
Summary:	KOffice - Latvian language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	lv
KOffice - Latvian language support.

%package	mk
Summary:	KOffice - Macedonian language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	mk
KOffice - Macedonian language support.

%package	ms
Summary:	KOffice - Malay language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	ms
KOffice - Malay language support.

%package	nb
Summary:	KOffice - Norwegian (Bokmaal) language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	nb
KOffice - Norwegian (Bokmaal) language support.

%package	nl
Summary:	KOffice - Dutch language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	nl
KOffice - Dutch language support.

%package	pl
Summary:	KOffice - Polish language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	pl
KOffice - Polish language support.

%package	pt
Summary:	KOffice - Portuguese language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	pt
KOffice - Portuguese language support.

%package	pt_BR
Summary:	KOffice - Portuguese (Brazil) language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	pt_BR
KOffice - Portuguese (Brazil) language support.

%package	ru
Summary:	KOffice - Russian language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	ru
KOffice - Russian language support.

%package	sk
Summary:	KOffice - Slovak language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	sk
KOffice - Slovak language support.

%package	sl
Summary:	KOffice - Slovenian language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	sl
KOffice - Slovenian language support.

%package	sr
Summary:	KOffice - Serbian language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	sr
KOffice - Serbian language support.

%package	sr@Latn
Summary:	KOffice - Serbian Latin language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	sr@Latn
KOffice - Serbian Latin language support.

%package	sv
Summary:	KOffice - Swedish language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	sv
KOffice - Swedish language support.

%package	tr
Summary:	KOffice - Turkish language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	tr
KOffice - Turkish language support.

%package	uk
Summary:	KOffice - Ukrainian language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	uk
KOffice - Ukrainian language support.

%package	zh_CN
Summary:	KOffice - simplified Chinese language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	zh_CN
KOffice - simplified Chinese language support.

%package	zh_TW
Summary:	KOffice - traditional Chinese language support
Group:		%{group}
Requires:	koffice >= %{version}-%{release}

%description	zh_TW
KOffice - traditional Chinese language support.

%prep
%setup -q -c -T -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a13 -a14 -a15 -a16 -a17 -a21 -a23 -a24 -a25 -a27 -a28 -a29 -a31 -a32 -a33 -a35 -a37 -a38 -a39 -a40 -a41 -a44 -a45 -a47 -a48

%build
for dir in %{name}-*-%{version}; do
cd "$dir"
./configure --prefix=%_prefix \
--enable-final \
--disable-debug \
--disable-dependency-tracking \
--silent
make
cd ..
done

%install
FindLang() {
#    $1 - short language name
#    $2 - long language name
    echo "%defattr(-,root,root)" > "$2.lang"
# /opt/kde/share/doc/HTML/(%%lang)
    if [ -d "$RPM_BUILD_ROOT%_htmldir/$1/" ]; then
	echo "%lang($1) %_htmldir/$1/" >> "$2.lang"
    fi
# /opt/kde/share/locale/(%%lang)/LC_MESSAGES/kdgnatt.mo
    if [ -f "$RPM_BUILD_ROOT%_datadir/locale/$1/LC_MESSAGES/kdgantt.mo" ]; then
	rm -f $RPM_BUILD_ROOT%_datadir/locale/$1/LC_MESSAGES/kdgantt.mo
    fi
# /opt/kde/share/locale/(%%lang)/LC_MESSAGES
    if [ -d "$RPM_BUILD_ROOT%_datadir/locale/$1/LC_MESSAGES" ]; then
	echo "%lang($1) %_datadir/locale/$1/LC_MESSAGES/*.mo" >> "$2.lang"
    fi
# /opt/kde/share/apps/KOffice/autocorrect/(%%lang)
    if [ -f "$RPM_BUILD_ROOT%_datadir/apps/koffice/autocorrect/$1.xml" ]; then
	echo "%lang($1) %_datadir/apps/koffice/autocorrect/$1.xml" >> "$2.lang"
    fi
}

for dir in %{name}-*-%{version}; do
make -C "$dir" install-strip \
DESTDIR=$RPM_BUILD_ROOT \
kde_htmldir=%_htmldir \
kde_libs_htmldir=%_htmldir
done

#FindLang af Afrikaans
#FindLang ar Arabic
#FindLang bg Bulgarian
#FindLang br Breton
FindLang bs Bosnian
FindLang ca Catalan
FindLang cs Czech
FindLang cy Cymraeg
FindLang da Danish
FindLang de German
FindLang el Greek
FindLang en_GB English_UK
#FindLang eo Esperanto
FindLang es Spanish
FindLang et Estonian
FindLang eu Basque
FindLang fi Finnish
FindLang fr French
#FindLang ga Irish
#FindLang he Hebrew
#FindLang hi Hindi
FindLang hu Hungarian
#FindLang is Icelandic
FindLang it Italian
FindLang ja Japanese
FindLang lv Latvian
#FindLang mk Macedonian
FindLang ms Malay
FindLang nb Norwegian_Bokmaal
FindLang nl Dutch
#FindLang nn Norwegian_Nynorsk
FindLang pl Polish
FindLang pt Portuguese
FindLang pt_BR Brazil_Portuguese
#FindLang ro Romanian
FindLang ru Russian		
#FindLang se Northern_Sami
FindLang sk Slovak
FindLang sl Slovenian
FindLang sr Serbian
FindLang sr@Latn Serbian_Latin
FindLang sv Swedish
#FindLang ta Tamil
#FindLang tg Tajik
FindLang tr Turkish
FindLang uk Ukrainian
#FindLang uz Uzbek
FindLang zh_CN Simplified_Chinese
FindLang zh_TW Traditional_Chinese

%files
%defattr(-,root,root)

%files -f Catalan.lang ca
%defattr(-,root,root)

%files -f Czech.lang cs
%defattr(-,root,root)

%files -f Cymraeg.lang cy
%defattr(-,root,root)

%files -f Danish.lang da
%defattr(-,root,root)

%files -f German.lang de
%defattr(-,root,root)

%files -f Greek.lang el
%defattr(-,root,root)

%files -f English_UK.lang en_GB
%defattr(-,root,root)

%files -f Spanish.lang es
%defattr(-,root,root)

%files -f Estonian.lang et
%defattr(-,root,root)

%files -f Basque.lang eu
%defattr(-,root,root)

%files -f Finnish.lang fi
%defattr(-,root,root)

%files -f French.lang fr
%defattr(-,root,root)

%files -f Hungarian.lang hu
%defattr(-,root,root)

%files -f Italian.lang it
%defattr(-,root,root)

%files -f Japanese.lang ja
%defattr(-,root,root)

%files -f Latvian.lang lv
%defattr(-,root,root)

%files -f Malay.lang ms
%defattr(-,root,root)

%files -f Norwegian_Bokmaal.lang nb
%defattr(-,root,root)

%files -f Dutch.lang nl
%defattr(-,root,root)

%files -f Polish.lang pl
%defattr(-,root,root)

%files -f Portuguese.lang pt
%defattr(-,root,root)

%files -f Brazil_Portuguese.lang pt_BR
%defattr(-,root,root)

%files -f Russian.lang ru
%defattr(-,root,root)

%files -f Slovak.lang sk
%defattr(-,root,root)

%files -f Slovenian.lang sl
%defattr(-,root,root)

%files -f Serbian.lang sr
%defattr(-,root,root)

%files -f Serbian_Latin.lang sr@Latn
%defattr(-,root,root)

%files -f Swedish.lang sv
%defattr(-,root,root)

%files -f Turkish.lang tr
%defattr(-,root,root)

%files -f Ukrainian.lang uk
%defattr(-,root,root)

%files -f Simplified_Chinese.lang zh_CN
%defattr(-,root,root)

%files -f Traditional_Chinese.lang zh_TW
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT
# Delete unused package
rm -r %_rpmdir/i686/%{name}-%{version}-%{release}.i686.rpm

%changelog
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.3-1
- Version update, moved prefix
* Sun Feb 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.2-1
- Version update
* Wed Jan 17 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.1-1
- Version update, added Latvian and Traditional Chinese languages
* Sun Oct 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-1
- Version update
- af ar bg br bs eo ga he hi is lt mk nn ro se ta tg uz *not* available
* Fri May 19 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.1-1
- Version Update, added Malay language pack
* Sun Apr 30 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0-1
- Version Update to 1.5.0, added following languages:
- af, ak, br, bs, da, eo, ga, he, hi, is, ja, lt, mk, ro, se,
- sk, tr, uk, uz
* Tue Oct 11 2005 Christian Wasem <wasem@ccux-linux.de> 1.4.2-1
- Version Update to 1.4.2, added Basque Language Package
* Tue Sep 06 2005 Christian Wasem <wasem@ccux-linux.de> 1.4.1-1
- Version Update to 1.4.1, removed oboletes tag, added finnish
* Fri Jul 01 2005 Christian Wasem <wasem@ccux-linux.de> 1.4.0-2
- deleted some languages that KOffice don't have.
* Tue Jun 21 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.0-1
- Version update, renamed package to l10n according to Sources
* Wed Nov 24 2004 Christian Metzen <metzench@ccux-linux.de> 1.3.5-1
- Initial Release
